Skip to content
You're viewing documentation for v2026.11.8-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

List livesync sessions

Returns each livesync session that the session can see, with its state. Set refresh to start a new poll of the sessions.

GET/api/v1/livesync
Authorization
tse_sessionAPI key · cookierequired
Query parameters
refreshboolean

Ask the supervisor to re-read replication health now; the response still returns the cached values.

Responses
200

OK

livesyncsLivesyncResponse[]required
Show properties
Array of LivesyncResponse
auto_add_tablesbooleanrequired
created_atstringrequired
healthstringrequired
health_checked_atstring
health_detailstring
host_displaystringrequired
host_server_idstringrequired
idstringrequired
namestringrequired
publicationstringrequired
publication_managedbooleanrequired
source_cluster_idstring
source_displaystringrequired
statusstringrequired
subscriptionstringrequired
target_cluster_idstring
target_displaystringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/livesync' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "livesyncs": [
    {
      "auto_add_tables": true,
      "created_at": "string",
      "health": "string",
      "health_checked_at": "string",
      "health_detail": "string",
      "host_display": "string",
      "host_server_id": "string",
      "id": "string",
      "name": "string",
      "publication": "string",
      "publication_managed": true,
      "source_cluster_id": "string",
      "source_display": "string",
      "status": "string",
      "subscription": "string",
      "target_cluster_id": "string",
      "target_display": "string"
    }
  ]
}